package myPlayStationFriends;

import java.util.Calendar;
import java.util.Formatter;

public class Game {
	private String name; 
	private Calendar released; 
	private Game next; 
	private int totalTrophies;
	//to get month name from month int return by Calendar
	Formatter fmt;
	//default constructor
	public Game() {
		released=Calendar.getInstance();
		next=null;
		name=null;
		totalTrophies=0;
		fmt=new Formatter();
	}
	//getters and setters
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Calendar getReleased() {
		return released;
	}
	public void setReleased(Calendar released) {
		this.released = released;
	}
	public Game getNext() {
		return next;
	}
	public void setNext(Game next) {
		this.next = next;
	}
	public int getTotalTrophies() {
		return totalTrophies;
	}
	public void setTotalTrophies(int totalTrophies) {
		this.totalTrophies = totalTrophies;
	}
	
	public Formatter getFmt() {
		return fmt;
	}
	public void setFmt(Formatter fmt) {
		this.fmt = fmt;
	}
	//returns "Assassin's Creed IV: Black Flag", released on: Nov 29, 2013
	public String ToString() {
		Formatter fm=new Formatter();
		return '"'+getName()+"\""+", released on: "+fm.format("%tb",getReleased())+" "+getReleased().get(Calendar.DATE)+","+getReleased().get(Calendar.YEAR);
		
	}

}
