package myPlayStationFriends_testing;

import static org.junit.Assert.*;

import org.junit.Assert;
import org.junit.Test;

import myPlayStationFriends.AVLTree;
import myPlayStationFriends.user;

public class AVLTreeTest {

	@Test
	public void AddAVLStage1() {
		AVLTree BST=new AVLTree();
		user u=new user();
		u.setUsername("Peter");
		u.setKey();
		u.setDay(3);
		u.setMonth(10);
		u.setYear(1989);
		u.setLevel(1);
		
		
		
		BST.AddAVL(u);
		
		
		Assert.assertEquals(1,BST.countNodes());
	}
	@Test
	public void AddAVLStage2() {
		AVLTree BST=new AVLTree();
		user u=new user();
		u.setUsername("Peter");
		u.setKey();
		u.setDay(3);
		u.setMonth(10);
		u.setYear(1989);
		u.setLevel(1);
		
		user u1=new user();
		u1.setUsername("Dave");
		u1.setKey();
		u1.getDob().set(1989, 2, 3);
		u1.setLevel(2);
		
		
		BST.AddAVL(u);
		BST.AddAVL(u1);
		
		
		Assert.assertEquals(2,BST.countNodes());
	}
	@Test
	public void AddAVLStage3() {
		AVLTree BST=new AVLTree();
		user u=new user();
		u.setUsername("Peter");
		u.setKey();
		u.setDay(3);
		u.setMonth(10);
		u.setYear(1989);
		u.setLevel(1);
		
		user u1=new user();
		u1.setUsername("Dave");
		u1.setKey();
		u1.getDob().set(1989, 2, 3);
		u1.setLevel(2);
		
		user u2=new user();
		u2.setUsername("Anna");
		u2.setKey();
		u2.getDob().set(1989, 2, 3);
		u2.setLevel(3);
		
		BST.AddAVL(u);
		BST.AddAVL(u1);
		BST.AddAVL(u2);
		
		Assert.assertEquals(3,BST.countNodes());
	}

}
